uniform sampler2D Tex;

uniform float Delta;

vec4 c(vec2 x)
{
	return texture2D(Tex, x / vec2(128, 128));
}

void main()
{
	vec2 x = gl_FragCoord.yx;
	gl_FragData[0] = (c(x)+
		c(x-vec2(1.0*Delta,0))+
		c(x+vec2(1.0*Delta,0))+
		c(x-vec2(2.0*Delta,0))+
		c(x+vec2(2.0*Delta,0))+
		c(x-vec2(3.0*Delta,0))+
		c(x+vec2(3.0*Delta,0)))/7.0;
}